Bug 704445 - Review Request: python-timelib - Parse english textual date descriptions
Review Request: python-timelib - Parse english textual date descriptions
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
Stalled Submitter
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-13 03:40 EDT by PRABIN KUMAR DATTA
Modified: 2012-05-11 05:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-11 05:53:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description PRABIN KUMAR DATTA 2011-05-13 03:40:17 EDT
Spec URL: http://prabindatta.fedorapeople.org/SPECS/python-timelib.spec
SRPM URL: http://prabindatta.fedorapeople.org/SRPMS/python-timelib-0.2.2-1.fc14.src.rpm
Description: 
timelib is a short wrapper around php's internal timelib module.
Comment 1 PRABIN KUMAR DATTA 2011-05-13 03:48:14 EDT
Koji Build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=3069166

Runtime test:
[prabindatta@localhost ~]$ python
Python 2.7 (r27:82500, Sep 16 2010, 18:03:06) 
[GCC 4.5.1 20100907 (Red Hat 4.5.1-3)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import timelib
>>> timelib.strtodatetime('today')
datetime.datetime(2011, 5, 13, 0, 0)
>>> timelib.strtodatetime('next friday')
datetime.datetime(2011, 5, 20, 0, 0)
>>> timelib.strtodatetime('next monday')
datetime.datetime(2011, 5, 16, 0, 0)
>>> timelib.strtodatetime('29 feb 2008 -108 years')
datetime.datetime(1900, 3, 1, 0, 0)

>>> import time, timelib
>>> time.ctime(timelib.strtotime("now"))
'Fri May 13 12:09:59 2011'
>>> time.ctime(timelib.strtotime("4 hours ago"))
'Fri May 13 08:10:08 2011'
>>> time.ctime(timelib.strtotime("20080229 - 1 year"))
'Thu Mar  1 05:30:00 2007'
>>> 


** This package is one the dependency package of "python-mwlib-0.12.14"
Comment 2 Fabian Affolter 2011-06-02 12:35:37 EDT
ext-date-lib is include in this package. This is not allowed according to the Fedora Packaging Guidelines [1]. Your description claims that this is just a wrapper for the PHP internal timelib module, so this module should be a BR or a runtime requirement.

[1] https://fedoraproject.org/wiki/Packaging:Guidelines#No_inclusion_of_pre-built_binaries_or_libraries
Comment 3 PRABIN KUMAR DATTA 2011-06-02 14:59:40 EDT
@Fabian:
 Here the ext-date-lib is not a prebuild-binary package and source code of ext-date-lib is attached with the timelib package by upstream.

"I am still in the basic level of package maintainer's level"

Can you kindly explain me why this is not allowed according to the
Fedora Packaging Guidelines?
Comment 4 PRABIN KUMAR DATTA 2011-06-02 15:23:23 EDT
On IRC channel #fedora-devel <gholms> has explained me.

I am sending a mail upstream with the hope that they will resolve this issue.
Comment 5 Fabian Affolter 2011-06-30 01:57:54 EDT
Any news from upstream?
Comment 6 PRABIN KUMAR DATTA 2011-06-30 19:19:55 EDT
/----
Upstreams Reply:
no, sorry. that is IMHO the packager's job.
----/

Currently, I don't have sufficient time to edit the code.
Comment 7 Matthias Runge 2012-03-24 15:00:48 EDT
Any progress here?

Note You need to log in before you can comment on or make changes to this bug.